# Gimp.checks_get_colors

    @accepts(Gimp.CheckType, Gegl.Color, Gegl.Color)
    @returns(none)
    def checks_get_colors(type, color1, color2):
        # Python wrapper for gimp_checks_get_colors()

Retrieves the colors to use when drawing a checkerboard for a certain Gimp.CheckType and custom colors. If type is Gimp.CheckType.custom_checks, then color1 and color2 will remain untouched, which means you must initialize them to the values expected for custom checks.

To obtain the user-set colors in Preferences, just call:

Since 3.0

type

  the checkerboard type

color1

  current custom color and return location for the first color.

color2

  current custom color and return location for the second color.